Package org.linphone.core

# Enum Class MediaEncryption

java.lang.Object
java.lang.Enum<MediaEncryption>
org.linphone.core.MediaEncryption

All Implemented Interfaces:
  `Serializable`, `Comparable<MediaEncryption>`, `Constable`

public enum MediaEncryption extends Enum<MediaEncryption>
Enum describing type of media encryption types.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DTLS`
Use DTLS media encryption.
`None`
No media encryption is used.
`SRTP`
Use SRTP media encryption.
`ZRTP`
Use ZRTP media encryption.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static MediaEncryption`
`fromInt(int value)`
`protected static MediaEncryption[]`
`fromIntArray(int[] values)`
`int`
`toInt()`
`protected static int[]`
`toIntArray(MediaEncryption[] values)`
`static MediaEncryption`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MediaEncryption[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### None

public static final MediaEncryption None
No media encryption is used.

### SRTP

public static final MediaEncryption SRTP
Use SRTP media encryption.

### ZRTP

public static final MediaEncryption ZRTP
Use ZRTP media encryption.

### DTLS

public static final MediaEncryption DTLS
Use DTLS media encryption.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static MediaEncryption[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MediaEncryption valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static MediaEncryption fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### fromIntArray

protected static MediaEncryption[] fromIntArray(int[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toIntArray

protected static int[] toIntArray(MediaEncryption[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()